Summary:	SSH-based configuration management, deployment, and task execution system
Name:		ansible
Version:	2.9.2
Release:	1
License:	GPL v3+
Group:		Development/Libraries
Source0:	https://releases.ansible.com/ansible/%{name}-%{version}.tar.gz
# Source0-md5:	84e4e3fdc48bc44a5095f6c55c05d102
Source1:	poldek.py
Patch0:		poldek.patch
URL:		http://ansible.github.com/
BuildRequires:	python3-PyYAML
BuildRequires:	python3-modules
BuildRequires:	python3-straight-plugin
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.710
Requires:	python3-PyYAML
Requires:	python3-idna
Requires:	python3-jinja2
Requires:	python3-modules
Requires:	python3-paramiko
Requires:	python3-setuptools
Requires:	sshpass
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Ansible is a radically simple model-driven configuration management,
multi-node deployment, and remote task execution system. Ansible works
over SSH and does not require any software or daemons to be installed
on remote nodes. Extension modules can be written in any language and
are transferred to managed machines automatically.

%prep
%setup -q
%patch0 -p1

%build
%py3_build
%{__make} docs

%install
rm -rf $RPM_BUILD_ROOT
%py3_install

install -p %{SOURCE1} $RPM_BUILD_ROOT%{py3_sitescriptdir}/ansible/modules/packaging/os

install -d $RPM_BUILD_ROOT{%{_sysconfdir}/%{name},%{_mandir}}
sed -re '/^#/ !s,[^#]+$,#&,' examples/hosts > $RPM_BUILD_ROOT%{_sysconfdir}/%{name}/hosts
cp -p examples/ansible.cfg $RPM_BUILD_ROOT%{_sysconfdir}/%{name}
cp -a docs/man/* $RPM_BUILD_ROOT%{_mandir}

%{__rm} $RPM_BUILD_ROOT%{_mandir}/man3/.gitdir

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README.rst
%dir %{_sysconfdir}/%{name}
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/hosts
%config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/%{name}/%{name}.cfg
%attr(755,root,root) %{_bindir}/ansible
%attr(755,root,root) %{_bindir}/ansible-connection
%attr(755,root,root) %{_bindir}/ansible-test
%{_bindir}/ansible-config
%{_bindir}/ansible-console
%{_bindir}/ansible-doc
%{_bindir}/ansible-galaxy
%{_bindir}/ansible-inventory
%{_bindir}/ansible-playbook
%{_bindir}/ansible-pull
%{_bindir}/ansible-vault
%{_mandir}/man1/ansible-config.1*
%{_mandir}/man1/ansible-console.1*
%{_mandir}/man1/ansible-galaxy.1*
%{_mandir}/man1/ansible-inventory.1*
%{_mandir}/man1/ansible-vault.1*
%{_mandir}/man1/ansible.1*
%{_mandir}/man1/ansible-doc.1*
%{_mandir}/man1/ansible-playbook.1*
%{_mandir}/man1/ansible-pull.1*
%{py3_sitescriptdir}/ansible
%{py3_sitescriptdir}/ansible-%{version}-*.egg-info
%{py3_sitescriptdir}/ansible_test
